| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StarTrackerConfFile Class Reference

Class for reading Star tracker configuration files. More...

Inheritance diagram for EECFI::StarTrackerConfFile:

List of all members.

## Public Member Functions
| StarTrackerConfFile ()
| Empty Constructor.
| StarTrackerConfFile (const string fileNam)
| Constructor with file name.
| ~StarTrackerConfFile ()
| Destructor.
void | read (long starTrackerId) throw (CfiError)
| Read the file data block for the star tracker number given by starTrackerId (1, 2 or 3).
## Public Attributes
long | aberrCorrection
string | satellite
| Satellite name.
TrackerLimits | strLimit
| Star tracker limits.
double | strAttRot [3][3]
| Satellite Attitude to star tracker frame rotation matrix.

## Detailed Description

Class for reading Star tracker configuration files.

## Constructor & Destructor Documentation

EECFI::StarTrackerConfFile::StarTrackerConfFile | ( |  | ) |

Empty Constructor.

References EECFI::EEFile::fileType.

EECFI::StarTrackerConfFile::StarTrackerConfFile | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::StarTrackerConfFile::~StarTrackerConfFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::StarTrackerConfFile::read | ( | long | starTrackerId | ) | throw (CfiError)

Read the file data block for the star tracker number given by starTrackerId (1, 2 or 3).

Parameters:

  | starTrackerId | Star tracker number for which the configuration data is to be read. Allowed range=1, 2 or 3.

## Member Data Documentation

long EECFI::StarTrackerConfFile::aberrCorrection

Aberration correction flag: -1 = Aberration correction with transposed matrix, 0 = No aberration, 1 = Aberration correction.

string EECFI::StarTrackerConfFile::satellite

Satellite name.

double EECFI::StarTrackerConfFile::strAttRot[3][3]

Satellite Attitude to star tracker frame rotation matrix.

TrackerLimits EECFI::StarTrackerConfFile::strLimit

Star tracker limits.